libconfig-std-perl_0.901-1_all.deb


Advertisement

Description

libconfig-std-perl - Load and save configuration files in a standard format

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libconfig-std-perl
Package version: 0.901
Package release: 1
Package architecture: all
Package type: deb
Installed size: 86 B
Download size: 23.43 KB
Official Mirror: ftp.br.debian.org
Config::Std implements yet another damn configuration-file system. The configuration language is deliberately simple and limited, and the module works hard to preserve as much information (section order, comments, etc.) as possible when a configuration file is updated.

Alternatives

    Download

    Source package: libconfig-std-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libconfig-std-perl deb package:
      # sudo apt-get install libconfig-std-perl

    Files

    • /usr/share/doc/libconfig-std-perl/changelog.Debian.gz
    • /usr/share/doc/libconfig-std-perl/changelog.gz
    • /usr/share/doc/libconfig-std-perl/copyright
    • /usr/share/man/man3/Config::Std.3pm.gz
    • /usr/share/perl5/Config/Std.pm

    Changelog

    2013-09-12 - Salvatore Bonaccorso <carnil@debian.org> libconfig-std-perl (0.901-1) unstable; urgency=low * Imported Upstream version 0.901 * Update copyright information for upstream files * Drop hash_order.patch patch applied upstream

    2013-08-23 - gregor herrmann <gregoa@debian.org> libconfig-std-perl (0.900-1) unstable; urgency=low [ gregor herrmann ] * New upstream release. * debian/watch: add uversionmangle in case upstream changes their versioning scheme. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * Add patch from CPAN RT to fix hash ordering issues with Perl 5.18. (Closes: #711434) * debian/copyright: switch formatting to Copyright-Format 1.0. * Update Upstream-Contact. * Add /me to Uploaders. * Declare compliance with Debian Policy 3.9.4.

    2011-04-14 - Salvatore Bonaccorso <carnil@debian.org> libconfig-std-perl (0.9-1) unstable; urgency=low * New upstream release * Email change: Salvatore Bonaccorso -> carnil@debian.org * debian/copyright: - Update copyright years. - Refer to Debian systems in general instead of only Debian GNU/Linux systems. - Point to GPL-1 license text in common-licenses. * Bump Debhelper compat level to 8. * debian/control: - Bump versioned Build-Depends on debhelper (>= 8). - Remove alternative (Build-)Depends(-Indep) on perl (>= 5.9.0) | libversion-perl. * Bump Standards-Version to 3.9.2. * Covnert to '3.0 (quilt)' source package format.

    2009-11-19 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libconfig-std-perl (0.007-1) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: (build-)depend on perl instead of perl- modules. [ Salvatore Bonaccorso ] * New upstream release - Fixes major bug in gap algorithm for new keys. * Referesh debian/copyright removing X-Comments and pointing explicitly to svn-revision of DEP5 proposal used. [ gregor herrmann ] * debian/control: add perl (>= 5.9.0) as an alternative dependency to libversion-perl also in Depends.

    2009-09-22 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libconfig-std-perl (0.0.5-1) unstable; urgency=low [ gregor herrmann ] * debian/control: + switch Vcs-Browser field to ViewSVN (source stanza) + mention module name in long description [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * New upstream release * debian/control: - Fix debian-control-has-unusual-field-spacing lintian warning regarding unusal field spacing in control file. - Drop Build-Depends on libmodule-build-perl since dh uses Makefile.PL. - Drop versioned Build-Depends on perl as allowed by Debian Policy 3.8.3. - Adjust Build-Depends-Indep adding perl-modules (>= 5.9.0) | libversion-perl, as it is in perl-modules since Perl 5.9.0. This should ease backporting to Etch. * Bump compat level for debhelper to compat level 7. * Minimize debian/rules to the tiny rules format. * Remove comment line from debian/watch file. * Bump Standards-Version to 3.8.3. * debian/copyright: Update to machine readable format proposed by DEP5.

    Advertisement
    Advertisement